Skip to main content
GET
/
bundles
/
{bundle_id}
Get bundle
curl --request GET \
  --url https://api.truust.io/2.0/bundles/{bundle_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 123,
  "self": "<string>",
  "name": "<string>",
  "description": "<string>",
  "value": 123,
  "value_shipping": 123,
  "currency": "EUR",
  "amount": "<string>",
  "amount_shipping": "<string>",
  "buyer_link": "<string>",
  "images": [
    "<string>"
  ],
  "expiration": "2023-11-07T05:31:56Z",
  "expiration_unit": 123,
  "expiration_amount": 123,
  "is_expired": true,
  "is_active": true,
  "is_shippable": true,
  "tag": "<string>",
  "visits": 123,
  "metadata": {},
  "created_by": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "qr_link": "<string>",
  "connections": {}
}

Authorizations

Authorization
string
header
required

Use your account's Secret Key as the Bearer token.

Path Parameters

bundle_id
string
required

Bundle ID.

Response

Bundle details

id
integer
self
string
name
string
description
string | null
value
number
value_shipping
number | null
currency
string
Example:

"EUR"

amount
string | null

Formatted price with currency symbol.

amount_shipping
string | null
images
string[] | null
expiration
string<date-time> | null
expiration_unit
number | null
expiration_amount
number | null
is_expired
boolean
is_active
boolean
is_shippable
boolean
tag
string | null
visits
integer | null
metadata
object
created_by
integer | null
created_at
string<date-time> | null
updated_at
string<date-time> | null
connections
object

Hypermedia links to related resources.